Bug 705179 - repoquery -q --whatobsoletes always returns the request
repoquery -q --whatobsoletes always returns the request
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 17:15 EDT by Bill Nottingham
Modified: 2014-03-16 23:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 00:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-05-16 17:15:49 EDT
Description of problem:

[root@nostromo ~]# repoquery -q --whatobsoletes gnome-applet-bubblemon
gnome-applet-bubblemon-0:2.0.15-1.fc13.x86_64
gnome-panel-0:3.0.0.1-4.fc15.x86_64
[root@nostromo ~]# repoquery -q --whatobsoletes yum
yum-0:3.2.29-5.fc15.noarch
[root@nostromo ~]# repoquery -q --whatobsoletes bash
bash-0:4.2.10-2.fc15.x86_64

i.e., along with anything that does obsolete the request, it returns the latest version of the request as well.

Version-Release number of selected component (if applicable):

yum-utils-1.1.30-2.fc15.noarch

How reproducible:

100%

Note You need to log in before you can comment on or make changes to this bug.